## osso-email-common 2007.46.1

=== debian/changelog ===
osso-email-common (1:2007.46.1) unstable; urgency=low

  * New PE fixes integrated.

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Mon, 12 Nov 2007 15:21:43 +0200

osso-email-common (1:2007.43.1) unstable; urgency=low

  * Bumped up the version for week 43.

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Mon, 22 Oct 2007 12:56:48 +0300

osso-email-common (1:2007.42.1) unstable; urgency=low

  * Added a fix to notification icon.

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Tue, 16 Oct 2007 12:47:03 +0300

osso-email-common (1:2007.41.1) unstable; urgency=low

  * Updated build dependency versions 

 -- Viktor Nagy <viktor.nagy@blumsoft.eu>  Fri,  5 Oct 2007 16:51:20 +0300

osso-email-common (1:2007.39.1) unstable; urgency=low

  * New change by viktor added for more verbose logging.

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Tue, 25 Sep 2007 10:30:23 +0300

osso-email-common (1:2007.37.1) unstable; urgency=low

  * New changes relating to sound.

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Tue, 11 Sep 2007 16:17:56 +0300

osso-email-common (1:2007.36.1) feisty; urgency=low

  * Bumped up the version for the new code changes.

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Fri, 31 Aug 2007 11:16:43 +0300

osso-email-common (1:2007.35.2) unstable; urgency=low

  * added led-pattern hint to notification

 -- Viktor Nagy <viktor.nagy@blumsoft.eu>  Thu, 30 Aug 2007 11:32:24 +0300

osso-email-common (1:2007.35.1) unstable; urgency=low

  * New code for notification added.

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Mon, 27 Aug 2007 15:15:52 +0300

osso-email-common (1:2007.34.1) unstable; urgency=low

  * W34 release

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Mon, 20 Aug 2007 18:03:08 +0300

osso-email-common (1:2007.33.1) unstable; urgency=low

  * Added new version number for osso1.1 test release.

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Tue, 14 Aug 2007 12:15:34 +0300

osso-email-common (1:2007.0.3) unstable; urgency=low

  * Fixes: NB#52491

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Tue, 06 Mar 2007 16:35:00 +0200

osso-email-common (1:2007.0.2) unstable; urgency=low

  * Fixes: NB#46962,NB#48357,NB#50644

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Tue, 28 Nov 2006 14:58:50 +0200

osso-email-common (1:2007.0.1) unstable; urgency=low

  * Fixes: NB#49864

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Tue, 28 Nov 2006 14:58:50 +0200

osso-email-common (1:2006.48.1) unstable; urgency=low

  * Fixes: NB#46768

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Tue, 28 Nov 2006 14:58:50 +0200

osso-email-common (1:2006.47.1) unstable; urgency=low
  * Fixes: NB#43619,NB#46451,NB#46452

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Tue, 21 November 2006 13:00:00 +0200

osso-email-common (1:2006.46.3) unstable; urgency=low
  * Fixes: NB#41994

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Wed, 15 November 2006 13:00:00 +0200

osso-email-common (1:2006.44.4) unstable; urgency=low
  * Corrected license header in source files.
  * Removed version.h and moved the #define value to defs.h. compose.c and
    compose_smime.c used this #define value and they already have defs.h
    included.

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Tue, 14 November 2006 13:00:00 +0200

osso-email-common (1:2006.44.3) unstable; urgency=low
  * utils.c/h:
  * -- Moved out al_sup_decode_mhtml_file and al_sup_get_text_content from
    al_support.c to utils.c/h. Changed the function names to decode_mhtml_file
    and get_text_content resp.
  * -- Defined: FILE_PROCESS_SUCCESS, FILE_PROCESS_FAIL corresponding to
    AL_SUP_SUCCESS and AL_SUP_FAIL
  * -- included folder.h to avoid compilation problem (for UNREAD,
  * -- Moved out imap_get_file_name from imap.c to utils.c/h. Renamed it to
    get_file_name
  * folder.c/h:
  * -- Moved out al_sup_check_archive from al_support.c to folder.c. Renamed
    function to check_archive.
  * -- Moved out al_sup_del_arch_file from al_support.c to folder.c. Renamed
    function to del_arch_file.
  * -- Moved out al_update_mmc_flag from al_support.c to folder.c. Renamed
    function to update_mmc_flag.
  * procmime.c/h:
  * -- Moved out al_sup_get_mimeinfo and al_sup_sync_mimeinfo from
    al_support.c to procmime.hc/h. Renamed functions to procmime_get_mimeinfo
    and procmime_sync_mimeinfo resp.
  * -- Moved GET_DECODE_FILENAME from al_support.h to procmime.h to fix
    search-plugin build problem.
  * -- Moved al_sup_folder_set_header from al_support.c/h to procmime.h.
    Renamed the function to procmime_folder_set_header.
  * -- Moved al_sup_set_is_downloaded from al_support.c/h to procmime.c/h.
    Renamed function to procmime_set_is_downloaded and made corresponding
    changes to al.c (which uses this function)

 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Mon, 13 November 2006 13:00:00 +0200

osso-email-common (1:2006.44.2) unstable; urgency=low
  * created email_interface.h: operation_type, osso_email_state, SIGNAL_* enum
    have been moved from manager.h to this file. Added FolderListType from
    al.h to this file. Added BACKUP_START_EVENT from manager.h.
  * al.h: removed enum 'op' from this file as it is not used at all
  * procmsg.h: included common.h
  * folder.h: included procmsg.h
  * common/dbus_utils_xml.h: included procmime.h for MimeInfo
  
 -- Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>  Thu, 09 November 2006 13:00:00 +0200

osso-email-common (1:2006.44.1) unstable; urgency=low
  * First version 
  * removed email-config/ and altered Makefile.am accordingly
  * Retained only the following source directories: src/common, src/smime,
    src/engine/common
  * Retained only the following .install files: libossoemaildbusutils,
    libossoemailsmime, libossoemailcommon, libossoemailcl
  * updated src/Makefile.am, src/engine/Makefile.am
  * removed src/engine/inc: imap_log.h, logwindow.h, engine_dbus.h,

