=== debian/control ===
Source: osso-email-common
Section: misc
Maintainer: Dirk-Jan Binemma <dirk-jan.binnema@nokia.com>
Priority: optional
Build-Depends: debhelper (>=4.2.5), libosso-gnomevfs2-dev (>=2.12.0), libglib2.0-dev (>=2.6.6), libdbus-1-dev (>=0.60), libdbus-glib-1-dev (>=0.60), libxml2-dev (>=2.6.16), libssl-dev (>=0.9.7c), libexpat1-dev (>=1.95.6), libosso-dev (>=1.0.2), libcst-dev (>=1.6.31), osso-esd-dev (>=0.13), libosso-email-interface-dev (>=2007.38.1), osso-af-settings, libconic0-dev(>=0.6), libalarm-dev (>=0.2.6), mce-dev (>=1.5.2), libhildonnotify-dev
Standards-Version: 3.5.9

Package: osso-email-common
Section: misc
Architecture: any
Description: OSSO Email application, meta package.
Priority: optional
Depends: libossoemaildbusutils (>= ${Source-Version}), libossoemailcommon (>= ${Source-Version}), libossoemailsmime (>= ${Source-Version}), osso-email-search-plugin (>= 2007.40.1)

Package: libossoemailcommon
Section: libs
Architecture: any
Description: OSSO Email application, engine common module.
Priority: optional
Depends: ${shlibs:Depends}  

Package: libossoemailcl
Section: libs
Architecture: any
Description: OSSO Email application, engine connectivity module.
Priority: optional
Depends: ${shlibs:Depends}  

Package: libossoemaildbusutils
Section: libs
Architecture: any
Description: OSSO Email application, Dbus data marshalling and unmarshalling library.
Priority: optional
Depends: ${shlibs:Depends}  

Package: libossoemailsmime
Section: libs
Architecture: any
Description: OSSO Email application, engine SMIME module.
Priority: optional
Depends: ${shlibs:Depends}  

Package: osso-email-common-dev
Section: misc
Architecture: any
Description: OSSO Email application, development package that engine files for email search plugin.
Priority: optional
Depends: libossoemailcommon-dev (>= ${Source-Version}), libossoemailcl-dev (>= ${Source-Version}), libossoemaildbusutils-dev (>= ${Source-Version}), libossoemailsmime-dev (>= ${Source-Version})

Package: libossoemailcommon-dev
Section: libs
Architecture: any
Description: OSSO Email application, engine common module development package for UI and email search plugin.
Priority: optional
Depends: libossoemailcommon (>= ${Source-Version}), ${shlibs:Depends}

Package: libossoemailcl-dev
Section: libs
Architecture: any
Description: OSSO Email application, engine connectivity module development package for UI.
Priority: optional
Depends: libossoemailcl (>= ${Source-Version}), ${shlibs:Depends}

Package: libossoemaildbusutils-dev
Section: libs
Architecture: any
Description: OSSO Email application, Dbus data marshalling and unmarshalling library development package for UI.
Priority: optional
Depends: libossoemaildbusutils (>= ${Source-Version}), ${shlibs:Depends}

Package: libossoemailsmime-dev
Section: libs
Architecture: any
Description: OSSO Email application, engine SMIME module development package for UI.
Priority: optional
Depends: libossoemailsmime (>= ${Source-Version}), ${shlibs:Depends}  

Package: libossoemailcommon-dbg
Section: libs
Architecture: any
Description: Debug package for OSSO Email application, engine common module.
Priority: optional
Depends: libossoemailcommon (= ${Source-Version}), ${shlibs:Depends}

Package: libossoemaildbusutils-dbg
Section: libs
Architecture: any
Description: Debug version of OSSO Email application, Dbus data marshalling and unmarshalling library.
Priority: optional
Depends: ${shlibs:Depends}, libossoemaildbusutils (= ${Source-Version})

Package: libossoemailsmime-dbg
Section: libs
Architecture: any
Description: Debug OSSO Email application, engine SMIME module.
Priority: optional
Depends: ${shlibs:Depends}, libossoemailsmime (= ${Source-Version})

Package: libossoemailcl-dbg
Section: libs
Architecture: any
Description: Debug version of OSSO Email application, engine connectivity module.
Priority: optional
Depends: ${shlibs:Depends}, libossoemailcl (= ${Source-Version})
